#include <blitz/godot/World.h>

namespace blitz {

class ServerWorld : public World {
	GDCLASS(ServerWorld, World)
  protected:
	static void _bind_methods();

  public:
	ServerWorld();
	~ServerWorld();
	void _process(float delta);

	void HandlePacket(const protocol::packets::PlayerPositionAndRotation&) override;

	void SyncPlayersPos();

  protected:
	virtual void AddPlayer(PlayerID a_PlayerId, godot::String a_PlayerName);
};

}  // namespace blitz